Matthew Barnes 921a69
--- evolution-data-server-1.10.1/configure.no-gnome-common	2007-04-09 12:15:42.000000000 -0400
Matthew Barnes 921a69
+++ evolution-data-server-1.10.1/configure	2007-04-09 12:16:10.000000000 -0400
Matthew Barnes 921a69
@@ -32298,154 +32298,6 @@
Matthew Barnes ea2bb0
 
Matthew Barnes ea2bb0
 
Matthew Barnes ea2bb0
 
Matthew Barnes 921a69
-    # Check whether --enable-compile-warnings was given.
Matthew Barnes ea2bb0
-if test "${enable_compile_warnings+set}" = set; then
Matthew Barnes 921a69
-  enableval=$enable_compile_warnings;
Matthew Barnes ea2bb0
-else
Matthew Barnes ea2bb0
-  enable_compile_warnings="yes"
Matthew Barnes 921a69
-fi
Matthew Barnes 921a69
-
Matthew Barnes ea2bb0
-
Matthew Barnes ea2bb0
-    warnCFLAGS=
Matthew Barnes ea2bb0
-    if test "x$GCC" != xyes; then
Matthew Barnes ea2bb0
-	enable_compile_warnings=no
Matthew Barnes ea2bb0
-    fi
Matthew Barnes ea2bb0
-
Matthew Barnes ea2bb0
-    warning_flags=
Matthew Barnes ea2bb0
-    realsave_CFLAGS="$CFLAGS"
Matthew Barnes ea2bb0
-
Matthew Barnes ea2bb0
-    case "$enable_compile_warnings" in
Matthew Barnes ea2bb0
-    no)
Matthew Barnes ea2bb0
-	warning_flags=
Matthew Barnes ea2bb0
-	;;
Matthew Barnes ea2bb0
-    minimum)
Matthew Barnes ea2bb0
-	warning_flags="-Wall"
Matthew Barnes ea2bb0
-	;;
Matthew Barnes ea2bb0
-    yes)
Matthew Barnes ea2bb0
-	warning_flags="-Wall -Wmissing-prototypes"
Matthew Barnes ea2bb0
-	;;
Matthew Barnes ea2bb0
-    maximum|error)
Matthew Barnes ea2bb0
-	warning_flags="-Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith"
Matthew Barnes ea2bb0
-	CFLAGS="$warning_flags $CFLAGS"
Matthew Barnes ea2bb0
-	for option in -Wno-sign-compare; do
Matthew Barnes ea2bb0
-		SAVE_CFLAGS="$CFLAGS"
Matthew Barnes ea2bb0
-		CFLAGS="$CFLAGS $option"
Matthew Barnes 921a69
-		{ echo "$as_me:$LINENO: checking whether gcc understands $option" >&5
Matthew Barnes 921a69
-echo $ECHO_N "checking whether gcc understands $option... $ECHO_C" >&6; }
Matthew Barnes ea2bb0
-		cat >conftest.$ac_ext <<_ACEOF
Matthew Barnes ea2bb0
-/* confdefs.h.  */
Matthew Barnes ea2bb0
-_ACEOF
Matthew Barnes ea2bb0
-cat confdefs.h >>conftest.$ac_ext
Matthew Barnes ea2bb0
-cat >>conftest.$ac_ext <<_ACEOF
Matthew Barnes ea2bb0
-/* end confdefs.h.  */
Matthew Barnes ea2bb0
-
Matthew Barnes ea2bb0
-int
Matthew Barnes ea2bb0
-main ()
Matthew Barnes ea2bb0
-{
Matthew Barnes ea2bb0
-
Matthew Barnes ea2bb0
-  ;
Matthew Barnes ea2bb0
-  return 0;
Matthew Barnes ea2bb0
-}
Matthew Barnes ea2bb0
-_ACEOF
Matthew Barnes ea2bb0
-rm -f conftest.$ac_objext
Matthew Barnes 921a69
-if { (ac_try="$ac_compile"
Matthew Barnes 921a69
-case "(($ac_try" in
Matthew Barnes 921a69
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
Matthew Barnes 921a69
-  *) ac_try_echo=$ac_try;;
Matthew Barnes 921a69
-esac
Matthew Barnes 921a69
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
Matthew Barnes 921a69
-  (eval "$ac_compile") 2>conftest.er1
Matthew Barnes ea2bb0
-  ac_status=$?
Matthew Barnes ea2bb0
-  grep -v '^ *+' conftest.er1 >conftest.err
Matthew Barnes ea2bb0
-  rm -f conftest.er1
Matthew Barnes ea2bb0
-  cat conftest.err >&5
Matthew Barnes ea2bb0
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
Matthew Barnes ea2bb0
-  (exit $ac_status); } &&
Matthew Barnes 921a69
-	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
Matthew Barnes 921a69
-  { (case "(($ac_try" in
Matthew Barnes 921a69
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
Matthew Barnes 921a69
-  *) ac_try_echo=$ac_try;;
Matthew Barnes 921a69
-esac
Matthew Barnes 921a69
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
Matthew Barnes 921a69
-  (eval "$ac_try") 2>&5
Matthew Barnes ea2bb0
-  ac_status=$?
Matthew Barnes ea2bb0
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
Matthew Barnes ea2bb0
-  (exit $ac_status); }; } &&
Matthew Barnes ea2bb0
-	 { ac_try='test -s conftest.$ac_objext'
Matthew Barnes 921a69
-  { (case "(($ac_try" in
Matthew Barnes 921a69
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
Matthew Barnes 921a69
-  *) ac_try_echo=$ac_try;;
Matthew Barnes 921a69
-esac
Matthew Barnes 921a69
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
Matthew Barnes 921a69
-  (eval "$ac_try") 2>&5
Matthew Barnes ea2bb0
-  ac_status=$?
Matthew Barnes ea2bb0
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
Matthew Barnes ea2bb0
-  (exit $ac_status); }; }; then
Matthew Barnes ea2bb0
-  has_option=yes
Matthew Barnes ea2bb0
-else
Matthew Barnes ea2bb0
-  echo "$as_me: failed program was:" >&5
Matthew Barnes ea2bb0
-sed 's/^/| /' conftest.$ac_ext >&5
Matthew Barnes ea2bb0
-
Matthew Barnes 921a69
-	has_option=no
Matthew Barnes ea2bb0
-fi
Matthew Barnes 921a69
-
Matthew Barnes 921a69
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
Matthew Barnes ea2bb0
-		CFLAGS="$SAVE_CFLAGS"
Matthew Barnes 921a69
-		{ echo "$as_me:$LINENO: result: $has_option" >&5
Matthew Barnes 921a69
-echo "${ECHO_T}$has_option" >&6; }
Matthew Barnes ea2bb0
-		if test $has_option = yes; then
Matthew Barnes ea2bb0
-		  warning_flags="$warning_flags $option"
Matthew Barnes ea2bb0
-		fi
Matthew Barnes ea2bb0
-		unset has_option
Matthew Barnes ea2bb0
-		unset SAVE_CFLAGS
Matthew Barnes ea2bb0
-	done
Matthew Barnes ea2bb0
-	unset option
Matthew Barnes ea2bb0
-	if test "$enable_compile_warnings" = "error" ; then
Matthew Barnes ea2bb0
-	    warning_flags="$warning_flags -Werror"
Matthew Barnes ea2bb0
-	fi
Matthew Barnes ea2bb0
-	;;
Matthew Barnes ea2bb0
-    *)
Matthew Barnes ea2bb0
-	{ { echo "$as_me:$LINENO: error: Unknown argument '$enable_compile_warnings' to --enable-compile-warnings" >&5
Matthew Barnes ea2bb0
-echo "$as_me: error: Unknown argument '$enable_compile_warnings' to --enable-compile-warnings" >&2;}
Matthew Barnes ea2bb0
-   { (exit 1); exit 1; }; }
Matthew Barnes ea2bb0
-	;;
Matthew Barnes ea2bb0
-    esac
Matthew Barnes ea2bb0
-    CFLAGS="$realsave_CFLAGS"
Matthew Barnes 921a69
-    { echo "$as_me:$LINENO: checking what warning flags to pass to the C compiler" >&5
Matthew Barnes 921a69
-echo $ECHO_N "checking what warning flags to pass to the C compiler... $ECHO_C" >&6; }
Matthew Barnes 921a69
-    { echo "$as_me:$LINENO: result: $warning_flags" >&5
Matthew Barnes 921a69
-echo "${ECHO_T}$warning_flags" >&6; }
Matthew Barnes ea2bb0
-
Matthew Barnes 921a69
-    # Check whether --enable-iso-c was given.
Matthew Barnes ea2bb0
-if test "${enable_iso_c+set}" = set; then
Matthew Barnes 921a69
-  enableval=$enable_iso_c;
Matthew Barnes ea2bb0
-else
Matthew Barnes ea2bb0
-  enable_iso_c=no
Matthew Barnes 921a69
-fi
Matthew Barnes 921a69
-
Matthew Barnes ea2bb0
-
Matthew Barnes 921a69
-    { echo "$as_me:$LINENO: checking what language compliance flags to pass to the C compiler" >&5
Matthew Barnes 921a69
-echo $ECHO_N "checking what language compliance flags to pass to the C compiler... $ECHO_C" >&6; }
Matthew Barnes ea2bb0
-    complCFLAGS=
Matthew Barnes ea2bb0
-    if test "x$enable_iso_c" != "xno"; then
Matthew Barnes ea2bb0
-	if test "x$GCC" = "xyes"; then
Matthew Barnes ea2bb0
-	case " $CFLAGS " in
Matthew Barnes ea2bb0
-	    *\ \	-ansi\ \	*) ;;
Matthew Barnes ea2bb0
-	    *) complCFLAGS="$complCFLAGS -ansi" ;;
Matthew Barnes ea2bb0
-	esac
Matthew Barnes ea2bb0
-	case " $CFLAGS " in
Matthew Barnes ea2bb0
-	    *\ \	-pedantic\ \	*) ;;
Matthew Barnes ea2bb0
-	    *) complCFLAGS="$complCFLAGS -pedantic" ;;
Matthew Barnes ea2bb0
-	esac
Matthew Barnes ea2bb0
-	fi
Matthew Barnes ea2bb0
-    fi
Matthew Barnes 921a69
-    { echo "$as_me:$LINENO: result: $complCFLAGS" >&5
Matthew Barnes 921a69
-echo "${ECHO_T}$complCFLAGS" >&6; }
Matthew Barnes ea2bb0
-
Matthew Barnes ea2bb0
-    WARN_CFLAGS="$warning_flags $complCFLAGS"
Matthew Barnes ea2bb0
-
Matthew Barnes ea2bb0
-
Matthew Barnes ea2bb0
-CFLAGS="$CFLAGS $WARN_CFLAGS"
Matthew Barnes ea2bb0
 case $CFLAGS in
Matthew Barnes ea2bb0
 *-Wall*)
Matthew Barnes ea2bb0
 	# Turn off the annoying "comparison between signed and unsigned"
Matthew Barnes 921a69
--- evolution-data-server-1.10.1/configure.in.no-gnome-common	2007-04-09 08:44:46.000000000 -0400
Matthew Barnes 921a69
+++ evolution-data-server-1.10.1/configure.in	2007-04-09 12:15:42.000000000 -0400
Matthew Barnes 921a69
@@ -1209,8 +1209,6 @@
Matthew Barnes 1b8ed2
 dnl CFLAGS and LIBS and stuff
Matthew Barnes 1b8ed2
 dnl *************************
Matthew Barnes 1b8ed2
 
Matthew Barnes 1b8ed2
-GNOME_COMPILE_WARNINGS(yes)
Matthew Barnes 1b8ed2
-CFLAGS="$CFLAGS $WARN_CFLAGS"
Matthew Barnes 1b8ed2
 case $CFLAGS in
Matthew Barnes 1b8ed2
 *-Wall*)
Matthew Barnes 1b8ed2
 	# Turn off the annoying "comparison between signed and unsigned"